### Method

# ECal ComponentAlarm take_repeat

since: 3.34

#### Declaration [src]

    void
    e_cal_component_alarm_take_repeat (
      ECalComponentAlarm* alarm,
      ECalComponentAlarmRepeat* repeat
    )

#### Description [src]

Set the `alarm` repeat information, as an `ECalComponentAlarmRepeat` and assumes ownership of the `trigger`.

Available since: 3.34

This method is not directly available to language bindings.

#### Parameters

`repeat`

  Type: `ECalComponentAlarmRepeat`

  A repeat information to set, or `NULL` to unset.

  The argument can be `NULL`.
  The data is owned by the caller of the method.